• This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn more.

XF 1.3 Twitter/Google+ login error

#1
Hi,

We recently purchased the latest Xenforo license last week

Just setting things up (community.mixedmartialmobile.com)
and the login for twitter and google+ doesnt appear to be working.

I've followed the guides here: http://xenforo.com/help/twitter-integration/
and http://xenforo.com/help/google-integration/

and followed all the steps methodically, but on clicking 'log in' at the top of the forums, and then selecting twitter or google+, it shows the attached error messages respectively..

any help would be greatly appreciated.

Thanks

Jay
 

Attachments

Mike

XenForo developer
Staff member
#3
There is an issue in 1.3.0 that affects Twitter login that is specific to you not having SSL support in PHP via OpenSSL (but having it via cURL). If you go to admin.php?tools/phpinfo, do you see any references to "OpenSSL"? If not, that may be the issue (it's fixed in 1.3.1). If you do, then I would double check the key and secret values that you entered.
 
#4
There is an issue in 1.3.0 that affects Twitter login that is specific to you not having SSL support in PHP via OpenSSL (but having it via cURL). If you go to admin.php?tools/phpinfo, do you see any references to "OpenSSL"? If not, that may be the issue (it's fixed in 1.3.1). If you do, then I would double check the key and secret values that you entered.
Hi Mike, thanks for your reply :)
I checked out the php info: http://community.mixedmartialmobile.com/admin.php?tools/phpinfo
it seems to mention OpenSSL a few times?

As I said, we paid for our license less than a week ago, so is that the most recent updated version?

I just triple checked the key and secret values for the Twitter login, and they're correct.

Any further thoughts?

Jay
 
#6
There is an issue in 1.3.0 that affects Twitter login that is specific to you not having SSL support in PHP via OpenSSL (but having it via cURL). If you go to admin.php?tools/phpinfo, do you see any references to "OpenSSL"? If not, that may be the issue (it's fixed in 1.3.1). If you do, then I would double check the key and secret values that you entered.
In regard to this, yes. XenForo 1.3.1 has not yet been released. When you purchase a license, it will always be the latest version.
So does this mean that I'll just have to accept that the Twitter login feature doesnt work for my forum?
and I'll have to wait until an update to fix it?

Just want to be clear.

Thanks
 

abbychase

Active member
#8
So does this mean that I'll just have to accept that the Twitter login feature doesnt work for my forum?
and I'll have to wait until an update to fix it?

Just want to be clear.

Thanks
Fixed?


There is an issue in 1.3.0 that affects Twitter login that is specific to you not having SSL support in PHP via OpenSSL (but having it via cURL). If you go to admin.php?tools/phpinfo, do you see any references to "OpenSSL"? If not, that may be the issue (it's fixed in 1.3.1). If you do, then I would double check the key and secret values that you entered.
I have the same issue with Twitter.

Mine does mention OpenSSL a few times as well.